"use strict";require('../../chunk-IB5IYYW3.cjs');
require('../../chunk-Q2SNIYQS.cjs');
require('../../chunk-IA7KQH7T.cjs');




var _chunkIPKAOQA4cjs = require('../../chunk-IPKAOQA4.cjs');
require('../../chunk-INPXH7MS.cjs');
require('../../chunk-7GW3ENUZ.cjs');
require('../../chunk-X23ZSPZC.cjs');
require('../../chunk-2UTQQDPY.cjs');
require('../../chunk-SFUIGVPA.cjs');
require('../../chunk-NDV2W4DJ.cjs');
require('../../chunk-UDRF4DKZ.cjs');
require('../../chunk-3TNVJY4F.cjs');
require('../../chunk-MJ7L4G3V.cjs');
require('../../chunk-WPWV7ZEM.cjs');
require('../../chunk-Z6OONRDT.cjs');
require('../../chunk-JZKRP4QF.cjs');
require('../../chunk-JMPWMB2R.cjs');
require('../../chunk-VPC6DJR3.cjs');
require('../../chunk-NU2LARFE.cjs');
require('../../chunk-KJEJRHVQ.cjs');
require('../../chunk-QLGR2XSS.cjs');
require('../../chunk-TL4N37LA.cjs');
require('../../chunk-RKZFBWAM.cjs');
require('../../chunk-J25SAQVE.cjs');
require('../../chunk-BXH2HPYJ.cjs');
require('../../chunk-SDJIWERF.cjs');
require('../../chunk-NHGVQCVD.cjs');
require('../../chunk-ZZAHRAAA.cjs');
require('../../chunk-T7ANPB5I.cjs');
require('../../chunk-36B67Q5K.cjs');
require('../../chunk-SFWHUH7N.cjs');
require('../../chunk-VP65WPCB.cjs');
require('../../chunk-TIMCWHOB.cjs');
require('../../chunk-XG57S66T.cjs');
require('../../chunk-OWJR6AQM.cjs');
require('../../chunk-KEJ4ER36.cjs');
require('../../chunk-NUAYMDDK.cjs');
require('../../chunk-IOP7DGF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-5RG5G5A2.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-ZNTN57VN.cjs');
require('../../chunk-HULDJDND.cjs');
require('../../chunk-44QLSR3L.cjs');
require('../../chunk-CXBBK7CI.cjs');
require('../../chunk-R7WMTFSS.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-7XAMJGPO.cjs');
require('../../chunk-MQW5ML2S.cjs');
require('../../chunk-XWE2OTGL.cjs');
require('../../chunk-7BL7WPL3.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-YZSOTFZT.cjs');
require('../../chunk-NBKYAXXN.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-Z53IF4DJ.cjs');
require('../../chunk-3SM3C7HY.cjs');
require('../../chunk-UXNJ5WZM.cjs');
require('../../chunk-QYCE2TUJ.cjs');
require('../../chunk-ANZPWIO4.cjs');
require('../../chunk-SBGQDG53.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-GJ2NCPKV.cjs');
require('../../chunk-XDY4SRCL.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-M3E66ROD.cjs');
require('../../chunk-BMRI2X66.cjs');



var _chunk66YRDFQPcjs = require('../../chunk-66YRDFQP.cjs');
require('../../chunk-7FPSHSSO.cjs');

// src/common/bin/index.spec.ts
describe("encoder", () => {
  it("should write a stream", () => {
    const stream = _chunkIPKAOQA4cjs.createBinaryStreamEncoder.call(void 0, );
    stream.writeUint32(1);
    stream.write({ a: "99" });
    stream.writeBytes([1, 2, 3], 3);
    stream.write(123);
    const bin = stream.getUint8Array();
    expect(_chunk66YRDFQPcjs.Uint8ArrayToHexDump.call(void 0, bin)).toMatchInlineSnapshot(`
      "0000  01 00 00 00 76 01 01 61 77 02 39 39 01 02 03 7d  ....v..aw.99...}
      0010  bb 01                                            \xBB.              "
    `);
    expect(stream.getLength()).toBe(18);
    const readStream = _chunkIPKAOQA4cjs.createBinaryStreamDecoder.call(void 0, bin);
    expect(readStream.getOffset()).toBe(0);
    expect(readStream.readUint32()).toBe(1);
    expect(readStream.getOffset()).toBe(4);
    expect(readStream.read()).toEqual({ a: "99" });
    expect(readStream.readBytes(3)).toMatchInlineSnapshot(`
Uint8Array [
  1,
  2,
  3,
]
`);
    expect(readStream.read()).toBe(123);
    expect(readStream.getOffset()).toBe(bin.length);
  });
  it("should bitfield", () => {
    const bf = _chunkIPKAOQA4cjs.bitfield.call(void 0, 1);
    bf.setBit(4);
    expect(bf.getValue()).toBe(17);
    bf.setBit(0, false);
    expect(bf.getValue()).toBe(16);
    bf.setBit(1);
    bf.setBit(5);
    bf.setBit(16);
    expect(bf.getValue().toString(2)).toMatchInlineSnapshot(
      '"10000000000110010"'
    );
    expect(bf.getValue()).toBe(65586);
    expect(bf.getBit(0)).toBe(false);
    expect(bf.getBit(4)).toBe(true);
    bf.toggleBit(4);
    expect(bf.getBit(4)).toBe(false);
    expect(bf.getValue()).toBe(65570);
  });
  it("should var bin", () => {
    function enc(v) {
      const e = _chunkIPKAOQA4cjs.createBinaryStreamEncoder.call(void 0, );
      e.writeIntVar(v);
      return _chunk66YRDFQPcjs.toHex.call(void 0, e.getUint8Array());
    }
    expect(enc(1)).toMatchInlineSnapshot('"01"');
    expect(enc(128)).toMatchInlineSnapshot('"8002"');
    expect(enc(-1)).toMatchInlineSnapshot('"41"');
    expect(enc(-691529286)).toMatchInlineSnapshot('"c699bf9305"');
    expect(enc(691529286)).toMatchInlineSnapshot('"8699bf9305"');
  });
  it("should var bin uint", () => {
    function enc(v) {
      const e = _chunkIPKAOQA4cjs.createBinaryStreamEncoder.call(void 0, );
      e.writeUintVar(v);
      return _chunk66YRDFQPcjs.toHex.call(void 0, e.getUint8Array());
    }
    expect(enc(1)).toMatchInlineSnapshot('"01"');
    expect(enc(127)).toMatchInlineSnapshot('"7f"');
    expect(enc(128)).toMatchInlineSnapshot(`"8001"`);
    expect(enc(255)).toMatchInlineSnapshot('"ff01"');
    expect(enc(256)).toMatchInlineSnapshot('"8002"');
    expect(enc(691529286)).toMatchInlineSnapshot('"c6ccdfc902"');
  });
});
//# sourceMappingURL=index.spec.cjs.map