"use strict";


var _chunk6WOMRDR4cjs = require('../../chunk-6WOMRDR4.cjs');
require('../../chunk-IB5IYYW3.cjs');
require('../../chunk-Q2SNIYQS.cjs');
require('../../chunk-IA7KQH7T.cjs');
require('../../chunk-IPKAOQA4.cjs');
require('../../chunk-INPXH7MS.cjs');
require('../../chunk-7GW3ENUZ.cjs');
require('../../chunk-X23ZSPZC.cjs');
require('../../chunk-2UTQQDPY.cjs');
require('../../chunk-SFUIGVPA.cjs');
require('../../chunk-NDV2W4DJ.cjs');
require('../../chunk-UDRF4DKZ.cjs');
require('../../chunk-3TNVJY4F.cjs');
require('../../chunk-MJ7L4G3V.cjs');
require('../../chunk-WPWV7ZEM.cjs');
require('../../chunk-Z6OONRDT.cjs');
require('../../chunk-JZKRP4QF.cjs');
require('../../chunk-JMPWMB2R.cjs');
require('../../chunk-VPC6DJR3.cjs');
require('../../chunk-NU2LARFE.cjs');
require('../../chunk-KJEJRHVQ.cjs');
require('../../chunk-QLGR2XSS.cjs');
require('../../chunk-TL4N37LA.cjs');
require('../../chunk-RKZFBWAM.cjs');
require('../../chunk-J25SAQVE.cjs');
require('../../chunk-BXH2HPYJ.cjs');
require('../../chunk-SDJIWERF.cjs');
require('../../chunk-NHGVQCVD.cjs');
require('../../chunk-ZZAHRAAA.cjs');
require('../../chunk-T7ANPB5I.cjs');
require('../../chunk-36B67Q5K.cjs');
require('../../chunk-SFWHUH7N.cjs');
require('../../chunk-VP65WPCB.cjs');
require('../../chunk-TIMCWHOB.cjs');
require('../../chunk-XG57S66T.cjs');
require('../../chunk-OWJR6AQM.cjs');
require('../../chunk-KEJ4ER36.cjs');
require('../../chunk-NUAYMDDK.cjs');
require('../../chunk-IOP7DGF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-5RG5G5A2.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-ZNTN57VN.cjs');
require('../../chunk-HULDJDND.cjs');
require('../../chunk-44QLSR3L.cjs');
require('../../chunk-CXBBK7CI.cjs');
require('../../chunk-R7WMTFSS.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-7XAMJGPO.cjs');
require('../../chunk-MQW5ML2S.cjs');
require('../../chunk-XWE2OTGL.cjs');
require('../../chunk-7BL7WPL3.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-YZSOTFZT.cjs');
require('../../chunk-NBKYAXXN.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-Z53IF4DJ.cjs');
require('../../chunk-3SM3C7HY.cjs');
require('../../chunk-UXNJ5WZM.cjs');
require('../../chunk-QYCE2TUJ.cjs');
require('../../chunk-ANZPWIO4.cjs');
require('../../chunk-SBGQDG53.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-GJ2NCPKV.cjs');
require('../../chunk-XDY4SRCL.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-M3E66ROD.cjs');
require('../../chunk-BMRI2X66.cjs');
require('../../chunk-66YRDFQP.cjs');
require('../../chunk-7FPSHSSO.cjs');

// src/node/log/log-util.spec.ts
describe("log-util", () => {
  it("should find correct source file line", () => {
    const source = _chunk6WOMRDR4cjs.getSourceLocation.call(void 0, 1, true);
    expect(source.startsWith("src/node/log/log-util.spec.ts:")).toBe(true);
  });
  it("should parse stack", () => {
    const sample = `
    at getSourceLocation (file:///Users/dirk/work/public/zeed/dist/esm/node/log-util.js:13:17)
    at file:///Users/dirk/work/public/zeed/dist/esm/node/log-node.js:105:26
    at /Users/dirk/work/public/zeed/dist/esm/node/log-node.js:105:26
    at emit (file:///Users/dirk/work/public/zeed/dist/esm/common/log.js:32:33)
    at Function.LoggerBaseFactory.log.info (file:///Users/dirk/work/public/zeed/dist/esm/common/log.js:55:13)
    at file:///Users/dirk/work/public/zeed/demos/logging/index.js:37:5
    at ModuleJob.run (node:internal/modules/esm/module_job:183:25)
    at async Loader.import (node:internal/modules/esm/loader:178:24)
    at async Object.loadESM (node:internal/process/esm_loader:68:5)
    at async handleMainPromise (node:internal/modules/run_main:63:12)
`;
    expect(_chunk6WOMRDR4cjs.getStackLlocationList.call(void 0, sample)).toEqual([
      "/Users/dirk/work/public/zeed/dist/esm/node/log-util.js:13:17",
      "/Users/dirk/work/public/zeed/dist/esm/node/log-node.js:105:26",
      "/Users/dirk/work/public/zeed/dist/esm/node/log-node.js:105:26",
      "/Users/dirk/work/public/zeed/dist/esm/common/log.js:32:33",
      "/Users/dirk/work/public/zeed/dist/esm/common/log.js:55:13",
      "/Users/dirk/work/public/zeed/demos/logging/index.js:37:5",
      "node:internal/modules/esm/module_job:183:25",
      "node:internal/modules/esm/loader:178:24",
      "node:internal/process/esm_loader:68:5",
      "node:internal/modules/run_main:63:12"
    ]);
  });
});
//# sourceMappingURL=log-util.spec.cjs.map