"use strict";Object.defineProperty(exports, "__esModule", {value: true});


var _chunk5RG5G5A2cjs = require('./chunk-5RG5G5A2.cjs');



var _chunk66YRDFQPcjs = require('./chunk-66YRDFQP.cjs');

// src/common/msg/encoder.ts
var NoopEncoder = class {
  async encode(data) {
    return data;
  }
  async decode(data) {
    return data;
  }
};
var JsonEncoder = class {
  async encode(data) {
    return _chunk66YRDFQPcjs.jsonToUint8Array.call(void 0, data);
  }
  async decode(data) {
    return _chunk66YRDFQPcjs.Uint8ArrayToJson.call(void 0, data);
  }
};
var CryptoEncoder = class {
  constructor(key) {
    this.key = key;
  }
  async encode(data) {
    const plain = _chunk66YRDFQPcjs.jsonToUint8Array.call(void 0, data);
    return await _chunk5RG5G5A2cjs.encrypt.call(void 0, plain, this.key);
  }
  async decode(data) {
    const plain = await _chunk5RG5G5A2cjs.decrypt.call(void 0, data, this.key);
    return _chunk66YRDFQPcjs.Uint8ArrayToJson.call(void 0, plain);
  }
};





exports.NoopEncoder = NoopEncoder; exports.JsonEncoder = JsonEncoder; exports.CryptoEncoder = CryptoEncoder;
//# sourceMappingURL=chunk-T7ANPB5I.cjs.map