"use strict";


var _chunkNDV2W4DJcjs = require('../chunk-NDV2W4DJ.cjs');
require('../chunk-XG57S66T.cjs');
require('../chunk-OWJR6AQM.cjs');
require('../chunk-KEJ4ER36.cjs');
require('../chunk-NUAYMDDK.cjs');
require('../chunk-IOP7DGF3.cjs');
require('../chunk-ZYPCVNSG.cjs');
require('../chunk-N46W55MH.cjs');
require('../chunk-ZNTN57VN.cjs');
require('../chunk-HULDJDND.cjs');
require('../chunk-44QLSR3L.cjs');
require('../chunk-CXBBK7CI.cjs');
require('../chunk-R7WMTFSS.cjs');
require('../chunk-DRTH56G4.cjs');
require('../chunk-KTC5RW57.cjs');
require('../chunk-A4VFMLAN.cjs');
require('../chunk-7XAMJGPO.cjs');
require('../chunk-MQW5ML2S.cjs');
require('../chunk-XWE2OTGL.cjs');
require('../chunk-7BL7WPL3.cjs');
require('../chunk-MPD2DJAD.cjs');
require('../chunk-ZGKV237Z.cjs');
require('../chunk-YELWQAMG.cjs');
require('../chunk-YZSOTFZT.cjs');
require('../chunk-NBKYAXXN.cjs');
require('../chunk-FEYF6QXS.cjs');
require('../chunk-N7OUNPMM.cjs');
require('../chunk-Z53IF4DJ.cjs');
require('../chunk-3SM3C7HY.cjs');
require('../chunk-UXNJ5WZM.cjs');
require('../chunk-QYCE2TUJ.cjs');
require('../chunk-ANZPWIO4.cjs');
require('../chunk-SBGQDG53.cjs');
require('../chunk-PJXRDQ2A.cjs');
require('../chunk-GJ2NCPKV.cjs');
require('../chunk-XDY4SRCL.cjs');
require('../chunk-FYLSPYV2.cjs');
require('../chunk-YKRFYR2Q.cjs');
require('../chunk-M3E66ROD.cjs');
require('../chunk-BMRI2X66.cjs');
require('../chunk-66YRDFQP.cjs');
require('../chunk-7FPSHSSO.cjs');

// src/common/network.spec.ts
describe("network", () => {
  it("should fetch", async () => {
    if (globalThis.isNodeTestEnv) {
      const html = await _chunkNDV2W4DJcjs.fetchText.call(void 0, "https://holtwick.de");
      expect(html).toContain("<html");
    } else {
      const html = await _chunkNDV2W4DJcjs.fetchText.call(void 0, "/");
      expect(html).toContain("<html");
    }
  });
  it("should parse basic auth", () => {
    const url = "https://user:pass@example.com/?x=1";
    expect(_chunkNDV2W4DJcjs.parseBasicAuth.call(void 0, url)).toMatchInlineSnapshot(`
      Object {
        "password": "pass",
        "url": "https://example.com/?x=1",
        "username": "user",
      }
    `);
  });
});
//# sourceMappingURL=network.spec.cjs.map